Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python rpm-build-python3 rpm-macros-fedora-compat
# END SourceDeps(oneline)
%define oldname python-uinput
%global with_python3 1

Name:           python-module-uinput
Version:        0.9
Release:        alt2_3
Summary:        Pythonic API to the Linux uinput kernel module

License:        GPLv3
URL:            http://pypi.python.org/pypi/python-uinput/0.9
Source0:        http://pypi.python.org/packages/source/p/%{oldname}/%{oldname}-%{version}.tar.gz

BuildRequires:  python-devel
BuildRequires:  kernel-headers
BuildRequires:  libudev-devel

%if %{?with_python3}
BuildRequires:  python3-devel
%endif # if with_python3





Source44: import.info
%add_findprov_skiplist %{python_sitelibdir}/.*\.so$
%add_findprov_skiplist %{python3_sitelibdir}/.*\.so$


%description
Python-uinput is Python interface to the Linux uinput kernel module
which allows attaching userspace device drivers into kernel.


%if 0%{?with_python3}
%package -n python3-module-uinput
Group: Other
Summary:        Pythonic API to the Linux uinput kernel module


%description -n python3-module-uinput
Python-uinput is Python interface to the Linux uinput kernel module
which
allows attaching userspace device drivers into kernel.
%endif # with_python3


%prep
%setup -q -n %{oldname}-%{version}

%if 0%{?with_python3}
rm -rf %{_builddir}/python3-%{oldname}-%{version}-%{release}
cp -a . %{_builddir}/python3-%{oldname}-%{version}-%{release}
find %{_builddir}/python3-%{oldname}-%{version}-%{release} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'

%endif # with_python3


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%if 0%{?with_python3}
pushd %{_builddir}/python3-%{oldname}-%{version}-%{release}
CFLAGS="$RPM_OPT_FLAGS" %{__python3} setup.py build
popd
%endif # with_python3


%install
# Must do the subpackages' install first because the scripts in /usr/bin are
# overwritten with every setup.py install (and we want the python2 version
# to be the default for now).
%if 0%{?with_python3}
pushd %{_builddir}/python3-%{oldname}-%{version}-%{release}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
%endif # with_python3

%{__python} setup.py install --skip-build --root %{buildroot}

chmod a-x examples/*


%files
%doc COPYING NEWS README examples
%{python_sitelibdir}/python_uinput-%{version}-py?.?.egg-info
%{python_sitelibdir}/_libsuinput.so
%{python_sitelibdir}/uinput
%if 0%{?with_python3}


%files -n python3-module-uinput
%doc COPYING NEWS README examples
%{python3_sitelibdir}/python_uinput-%{version}-py?.?.egg-info
%{python3_sitelibdir}/_libsuinput.*.so
%{python3_sitelibdir}/uinput
%endif # with_python3


%changelog
* Mon Apr 01 2013 Cronbuild Service <cronbuild@altlinux.org> 0.9-alt2_3
- rebuild to get rid of unmets

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.9-alt1_3
- update to new release by fcimport

* Wed Jan 02 2013 Igor Vlasenko <viy@altlinux.ru> 0.9-alt1_2
- initial fc import

